umbrello: SelectDiagramDialog Class Reference

umbrello 2.38.5 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
SelectDiagramDialog Class Reference

`#include <selectdiagramdialog.h>`

Inheritance diagram for SelectDiagramDialog:

## Public Member Functions
| SelectDiagramDialog (QWidget *parent, Uml::DiagramType::Enum type, const QString &currentName, const QString excludeName)
| ~SelectDiagramDialog ()
Uml::ID::Type | currentID ()
Public Member Functions inherited from SinglePageDialogBase
| SinglePageDialogBase (QWidget *parent, bool withApplyButton=false, bool withSearchButton=false)
virtual | ~SinglePageDialogBase ()
virtual bool | apply ()
void | setCaption (const QString &caption)
QWidget * | mainWidget ()
void | setMainWidget (QWidget *widget)
void | setButtonText (ButtonCode code, const QString &text)

## Protected Attributes
SelectDiagramWidget * | m_widget
Protected Attributes inherited from SinglePageDialogBase
QDialogButtonBox * | m_buttonBox
QWidget * | m_mainWidget

## Additional Inherited Members
Public Types inherited from SinglePageDialogBase
enum | ButtonCode { Cancel = 0 , Ok = 1 , Apply = 2 }
Protected Slots inherited from SinglePageDialogBase
void | slotApply ()
void | slotOk ()
void | slotCancel ()
void | slotClicked (QAbstractButton *)
Protected Member Functions inherited from SinglePageDialogBase
void | enableButtonOk (bool enable)
virtual bool | validate ()

## Detailed Description

Provides dialog to select a diagram

Author
  Ralf Habacker ralf..nosp@m.haba.nosp@m.cker@.nosp@m.free.nosp@m.net.d.nosp@m.e

## Constructor & Destructor Documentation

## ◆ SelectDiagramDialog()

SelectDiagramDialog::SelectDiagramDialog | ( | QWidget * | parent,
|  | Uml::DiagramType::Enum | type,
|  | const QString & | currentName,
|  | const QString | excludeName )

## ◆ ~SelectDiagramDialog()

SelectDiagramDialog::~SelectDiagramDialog | ( |  | ) |

## Member Function Documentation

## ◆ currentID()

Uml::ID::Type SelectDiagramDialog::currentID | ( |  | ) |

## Member Data Documentation

## ◆ m_widget

SelectDiagramWidget* SelectDiagramDialog::m_widget
| protected

The documentation for this class was generated from the following files:

- umbrello/dialogs/selectdiagramdialog.h
- umbrello/dialogs/selectdiagramdialog.cpp